Submit evidence envelope
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidIdempotency-Key*Idempotency-Keyapplication/json- body
artifacts?array<>Items
items <= 100authority*AuthorityLength
1 <= length <= 100collection_method*Collection MethodLength
1 <= length <= 100coverage?envelope_id*Envelope IdFormat
uuidexpires_at*Expires AtFormat
date-timeidempotency_key*Idempotency KeyMatch
^[A-Za-z0-9._:-]+$Length
8 <= length <= 255issued_at*Issued AtFormat
date-timerecords*array<>Items
1 <= items <= 1000redactions?array<string>Items
items <= 100schema_version?Schema VersionDefault
"evidence-envelope-v1"signature*source*uncertainties?array<string>Items
items <= 100workspace_id*Workspace IdFormat
uuidSuccessful Response
application/json- response
receipt*replayed?ReplayedDefault
falsecurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence-envelopes' \ -H 'Idempotency-Key: string' \ -H 'Content-Type: application/json' \ -d '{ "authority": "string", "collection_method": "string", "envelope_id": "cd819e97-5425-4178-8fcc-567f1dc109ce", "expires_at": "2019-08-24T14:15:22Z", "idempotency_key": "stringst", "issued_at": "2019-08-24T14:15:22Z", "records": [ { "confidence": 0, "content_sha256": "string", "evidence_id": "5360afe2-6320-4611-b2b1-06edeee7fc1e", "kind": "string", "observed_at": "2019-08-24T14:15:22Z", "provider": "string", "source_ref": "string", "source_type": "code", "subject_key": "string", "summary": "string" } ], "signature": { "key_id": "string", "value": "stringstringstringstringstringstringstri" }, "source": { "external_id": "string", "kind": "code", "observed_at": "2019-08-24T14:15:22Z", "provider": "string", "revision": "string" }, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}'Example Response
{ "receipt": { "accepted_at": "2019-08-24T14:15:22Z", "accepted_count": 0, "connector_run_id": "5eefb999-32aa-4c58-8359-61266d11f7ec", "created_at": "2019-08-24T14:15:22Z", "envelope_id": "cd819e97-5425-4178-8fcc-567f1dc109ce", "error_codes": [ "string" ], "expires_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "idempotency_key": "string", "issued_at": "2019-08-24T14:15:22Z", "mcp_ingestion_id": "e483dfbe-1f30-4fa8-8989-0c8f1530c157", "observed_at": "2019-08-24T14:15:22Z", "payload_sha256": "string", "producer_id": "48627843-6f79-4314-844d-c75457b8ae79", "record_count": 0, "rejected_count": 0, "schema_version": "string", "signature_key_id": "string", "signed_envelope_sha256": "string", "source_external_id": "string", "source_kind": "string", "source_provider": "string", "source_revision": "string", "status": "accepted", "submitted_by": "6703ac2f-9eb5-40e9-9fde-511b2dbf4be5", "updated_at": "2019-08-24T14:15:22Z", "validation_errors": [ {} ], "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "replayed": false}